/**
 *
 * Contains handlers for navigation.
 */

(function( $ ) {
		
	function initMainNavigation( container ) {

		// Add dropdown toggle that displays child menu items.
		var dropdownToggle = $( '<button />', { 'class': 'dropdown-toggle', 'aria-expanded': false, 'tabindex': '-1' })
			.append( $( '<i />', { 'class': 'fa fa-angle-down' }) );
		container.find( '.menu-item-has-children > a, .page_item_has_children > a' ).after( dropdownToggle );

		// Set the active submenu dropdown toggle button initial state.
		container.find( '.current-menu-ancestor > button' )
			.addClass( 'toggled-on' )
			.attr( 'aria-expanded', 'true' )
		// Set the active submenu initial state.
		container.find( '.current-menu-ancestor > .sub-menu' ).addClass( 'toggled-on' );

		container.find( '.dropdown-toggle' ).click( function( e ) {
			var _this = $( this );

			e.preventDefault();
			_this.toggleClass( 'toggled-on' );
			_this.next( '.children, .sub-menu' ).toggleClass( 'toggled-on' );

			_this.attr( 'aria-expanded', _this.attr( 'aria-expanded' ) === 'false' ? 'true' : 'false' );
		});
		// remove 'tabindex' attribute for dropdown
		if ( window.innerWidth <= 767 ) {
			container.find('.menu-item-has-children .dropdown-toggle').removeAttr('tabindex');
		}
		
	}
	function focusMenuWithChildren(){
		// Get all the link elements within the primary menu.
		var links, i, len,
		menu = document.querySelector( '.main-navigation' );
		if ( ! menu ) {
			return false;
		}

		links = menu.getElementsByTagName( 'a' );
		// Each time a menu link is focused or blurred, toggle focus.
		for ( i = 0, len = links.length; i < len; i++ ) {
			links[i].addEventListener( 'focus', toggleFocus, true );
			links[i].addEventListener( 'blur', toggleFocus, true );
		}

		//Sets or removes the .focus class on an element.
		
		function toggleFocus() {
			var self = this;

			// Move up through the ancestors of the current link until we hit .primary-menu.
			while ( -1 === self.className.indexOf( 'main-navigation' ) ) {
				// On li elements toggle the class .focus.
				if ( 'li' === self.tagName.toLowerCase() ) {
					if ( -1 !== self.className.indexOf( 'focus' ) ) {
						self.className = self.className.replace( ' focus', '' );
					} else {
						self.className += ' focus';
					}
				}
				self = self.parentElement;
			}
		}
	}
	
	initMainNavigation( $( '.main-navigation' ) );
	focusMenuWithChildren();
})( jQuery );
